Subject: Ticket Assigned - I didn't receive my order 7days now
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 13:54:35 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I didn't receive my order 7days now Hello!

Good afternoon!

My name is Edgardo Derilo II, I have order in your store thru tabby it's
for pick up in you branch in red sea mall. Please give an update on my
order, today is 7days of processing I need to recieve my order until
tomorrow! I need to use the use on Tuesday!

Please see the attach photo of my order for your reference.

Thank you!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5880359